View Issue Details

IDProjectCategoryLast Update
0021647AI War 2[All Projects] SuggestionOct 1, 2019 11:03 am
ReporterNRSirLimboAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.889 Reticulating Those Splines 
Fixed in Version0.893 Usability and Tutorial Prep 
Summary0021647: Show Hack Response Strength next to Duration
DescriptionIs there a way to pre-calculate the estimated enemy hacking response on normal hacks?

(I'd like to see just how many thousands of strength the Dark Spire sends against me to estimate when I will finally be able to destroy these stupid Vengeance Generators...)
TagsNo tags attached.

Activities

BadgerBadger

Sep 15, 2019 1:59 pm

manager   ~0053115

I've made the game estimate the difficulty of a hack, then colour in the time estimate based on that estimate. Definitely needs some feedback to see how reasonable the estimates are.

If you have feedback (for example "This hack was really easy but flagged as Orange or Red" or "This hack was flagged as grey but was really hard") then please give me a save game and the hack/planet in question

NRSirLimbo

Sep 15, 2019 2:10 pm

reporter   ~0053116

Ok, gonna test this once 0.900 is out, though I think different colors are too vague. How about a strength number estimating the response. It's much more easy to see if you can or can't do this if you have somewhat solid numbers.

BadgerBadger

Sep 15, 2019 2:19 pm

manager   ~0053117

Last edited: Sep 15, 2019 2:20 pm

View 2 revisions

I don't want to show an actual number because it's just a difficulty estimate done via heuristic. I can't show an actual Strength amount or anything like that.

Edit: Also I want this to be vague; I can justify a vague estimate in Lore, but definitely not a concrete "This is how hard it will be "

BadgerBadger

Oct 1, 2019 11:03 am

manager   ~0053360

Color coding ftw

Issue History

Date Modified Username Field Change
Sep 14, 2019 4:37 pm NRSirLimbo New Issue
Sep 15, 2019 1:59 pm BadgerBadger Assigned To => BadgerBadger
Sep 15, 2019 1:59 pm BadgerBadger Status new => feedback
Sep 15, 2019 1:59 pm BadgerBadger Note Added: 0053115
Sep 15, 2019 2:10 pm NRSirLimbo Note Added: 0053116
Sep 15, 2019 2:10 pm NRSirLimbo Status feedback => assigned
Sep 15, 2019 2:19 pm BadgerBadger Note Added: 0053117
Sep 15, 2019 2:20 pm BadgerBadger Note Edited: 0053117 View Revisions
Sep 15, 2019 7:29 pm BadgerBadger Status assigned => feedback
Oct 1, 2019 11:03 am BadgerBadger Status feedback => resolved
Oct 1, 2019 11:03 am BadgerBadger Resolution open => fixed
Oct 1, 2019 11:03 am BadgerBadger Fixed in Version => 0.893 Usability and Tutorial Prep
Oct 1, 2019 11:03 am BadgerBadger Note Added: 0053360